For the latest news and information visit The GNU Crypto project

## gnu.crypto.jce.prng
Class Sha384RandomSpi

    java.lang.Object
      |
      +--java.security.SecureRandomSpi
            |
            +--gnu.crypto.jce.prng.SecureRandomAdapter
                  |
                  +--gnu.crypto.jce.prng.Sha384RandomSpi

All Implemented Interfaces:
  java.io.Serializable

public class Sha384RandomSpi
extends gnu.crypto.jce.prng.SecureRandomAdapter

The implementation of the SHA-384 based SecureRandom Service Provider Interface (SPI) adapter.

See Also:
  Serialized Form

Constructor Summary
`Sha384RandomSpi()`

Method Summary
`byte[]` `engineGenerateSeed(int numBytes)`
`void` `engineNextBytes(byte[] bytes)`
`void` `engineSetSeed(byte[] seed)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sha384RandomSpi

    public Sha384RandomSpi()

Method Detail

### engineGenerateSeed

    public byte[] engineGenerateSeed(int numBytes)

  Specified by:
    `engineGenerateSeed` in class `java.security.SecureRandomSpi`

### engineNextBytes

    public void engineNextBytes(byte[] bytes)

  Specified by:
    `engineNextBytes` in class `java.security.SecureRandomSpi`

### engineSetSeed

    public void engineSetSeed(byte[] seed)

  Specified by:
    `engineSetSeed` in class `java.security.SecureRandomSpi`

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.